<template name="installControlUnit">
    {{#requireAuthentication}}
        <div id="install-control-unit-page" class="container">
            <div class="well small-well">
                <h1>Control Unit Installation</h1>
                 {{>Template.dynamic template='errorViewer' data=error}}

               {{#if equals currentStep 1}}
                    <form id="enter-name">
                        <div class="form-group label-floating">
                            <input type="text" name="name" class="form-control control-unit-name" placeholder="Enter a name for your new control unit..." />
                        </div>
                        <div class="btn-wrapper">
                            <button type="button" class="btn btn-default btn-cancel">CANCEL<div class="ripple-container"></div></button>
                            <button type="submit" class="btn btn-primary">CONTINUE<div class="ripple-container"></div></button>
                        </div>
                    </form>
                {{/if}}
                {{#if equals currentStep 2}}
                    <p>Download the control unit program and start it. When you have started it, click on continue.</p>
                    <div class="btn-wrapper">
                        <button type="button" class="btn btn-raised btn-primary btn-download">DOWNLOAD CONTROL UNIT<div class="ripple-container"></div></button>
                    </div>
                    <div class="btn-wrapper">
                        <button type="submit" class="btn btn-primary btn-continue">CONTINUE<div class="ripple-container"></div></button>
                    </div>
                {{/if}}
                {{#if equals currentStep 3}}
                    <p>Where have you installed the control unit program?</p>
                    <div class="btn-wrapper">
                        <button type="button" class="btn btn-primary btn-continue btn-sync">I have installed it on the computer I'm currently sitting at<div class="ripple-container"></div></button>
                    </div>
                    <div class="btn-wrapper">
                        <button type="button" class="btn btn-primary btn-continue">I have installed it on another computer.<div class="ripple-container"></div></button>
                    </div>
                {{/if}}
                {{#if equals currentStep 4}}
                    {{#if isOnline}}
                        <div class="connected">
                            <i class="fa fa-check-circle-o" aria-hidden="true"></i>
                            <div>Successfully connected</div>
                            <div class="line-seperator"></div>
                            <div>
                                <a href="{{pathFor 'installHome'}}">
                                    <button type="submit" class="btn btn-primary">Continue<div class="ripple-container"></div></button>
                                </a>
                            </div>
                        </div>
                    {{else}}
                        <p>Waiting for the control unit to connect.</p>
                        <div class="spinner-wrapper">
                            <svg class="spinner" width="65px" height="65px" viewBox="0 0 66 66" xmlns="http://www.w3.org/2000/svg">
                               <circle class="path" fill="none" stroke-width="6" stroke-linecap="round" cx="33" cy="33" r="30"></circle>
                            </svg>
                        </div>
                    {{/if}}
                {{/if}}
            </div>
        </div>
    {{/requireAuthentication}}
</template>
